Get Knowledge Chunk Count - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Get Knowledge Chunk Count

GET /v2.0/organisations/chunkcount

Try it

cURL

curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/organisations/chunkcount \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/organisations/chunkcount"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/organisations/chunkcount', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response Codes

Sample Success Response

{
  "chunkCount": 123
}

Sample Error Responses

{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

Name In Required Type
X-API-Key header required string

Supply the API Key in the HTTP-Header.

Response

Returns the total number of Knowledge Chunks created across Projects in the organization.